Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.uri
Class TagMemoryURI

    java.lang.Object
      com.connecterra.ale.uri.TagMemoryURI

    public class TagMemoryURI

extends Object

Parsed representation of a tag memory URI, as used in an ECSpec included memory, or a PCSpec OpRequest. It is either a symbolic name URI, or an explicit bank reference, by bank name, offset, and length.

Method Summary
`boolean` | `equals(Object other)`
`String` | `getBank()` If this is a reference to an explicit memory bank, returns the name of the bank.
`int` | `getLength()` If this is a reference to an explicit memory bank, returns the reference length in bits.
`String` | `getName()` If this is a reference to a memory by symbolic name, returns that name.
`int` | `getNumericBank()` If this is a reference to an explicit memory bank with a numeric bank identifier, returns the bank number.
`int` | `getOffset()` If this is a reference to an explicit memory bank, returns the reference offset in bits.
`URI` | `getURI()`
`int` | `hashCode()`
`boolean` | `isNamedField(String name)` If this is a reference to a memory by symbolic name, returns true if `name` equals the symbolic name.
`boolean` | `isNumericBank()`
`boolean` | `isSymbolic()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getURI

    public URI getURI()

  Returns:
    the underlying `URI` value

### isSymbolic

    public boolean isSymbolic()

  Returns:
    true if this is a reference to a memory by symbolic name

### getName

    public String getName()

  If this is a reference to a memory by symbolic name, returns that name. Otherwise, it returns null.

  Returns:
    the `String` name

### getBank

    public String getBank()

  If this is a reference to an explicit memory bank, returns the name of the bank. Otherwise, it returns null.

  Returns:
    the `String` name

### isNumericBank

    public boolean isNumericBank()

  Returns:
    true if this is a reference to an explicit memory bank with a numeric bank identifier

### getNumericBank

    public int getNumericBank()

  If this is a reference to an explicit memory bank with a numeric bank identifier, returns the bank number. Otherwise, it returns -1.

  Returns:
    the `int` bank number

### getLength

    public int getLength()

  If this is a reference to an explicit memory bank, returns the reference length in bits. Otherwise, it returns 0.

  Returns:
    the `int` bank number

### getOffset

    public int getOffset()

  If this is a reference to an explicit memory bank, returns the reference offset in bits. Otherwise, it returns 0.

  Returns:
    the `int` bank number

### isNamedField

    public boolean isNamedField(String name)

  If this is a reference to a memory by symbolic name, returns true if `name` equals the symbolic name.

  Parameters:
    `name` - a `String` value
  Returns:
    true if the name matches the symbolic tag memory URI

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD